# Class DataSeriesWriter<T>

java.lang.Object
htsjdk.samtools.cram.encoding.writer.DataSeriesWriter<T>

Type Parameters:
  `T` - data type of the series to be written.

public class DataSeriesWriter<T> extends Object

A CRAM Data Series writer for a particular Encoding, DataSeriesType and associated parameters

Note: the class does not have a writeArray method like its counterpart `DataSeriesReader` because array length is known when writing, therefore the same interface can be used both for single objects and arrays.

## Constructor Summary

Constructors
Constructor
Description
`DataSeriesWriter(DataSeriesType valueType, EncodingDescriptor encodingDecriptor, SliceBlocksWriteStreams sliceBlocksWriteStreams)`
Initialize a Data Series writer

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataSeriesWriter

public DataSeriesWriter(DataSeriesType valueType, EncodingDescriptor encodingDecriptor, SliceBlocksWriteStreams sliceBlocksWriteStreams)
Initialize a Data Series writer

Parameters:
  `valueType` - type of the data to write
  `encodingDecriptor` - encoding-specific parameters
  `sliceBlocksWriteStreams` - SliceBlocksWriteStreams